# Generated by Django 4.0.6 on 2022-09-17 19:59

from django.db import migrations, models
import django.db.models.deletion


def rp_model(apps, n): return apps.get_model('reviewpanel', n)

def delete_initial_data(apps, schema_editor):
    rp_model(apps, 'Template').objects.all().delete()

def create_initial_data(apps, schema_editor):
    Template = rp_model(apps, 'Template')
    TemplateSection = rp_model(apps, 'TemplateSection')
    if Template.objects.filter(name='two_column').exists(): return
    
    t = Template(name='two_column', min_width=720, max_width=1600)
    t.save()
    
    sections = (
        {'name': 'inputs', 'x': '72', 'y': '39', 'w': '27', 'h': '8'},
        {'name': 'main', 'x': '1', 'y': '1', 'w': '69', 'h': '46'},
        {'name': 'selector', 'x': '1', 'y': '48', 'w': '98'},
        {'name': 'toptext', 'x': '72', 'y': '1', 'w': '27', 'h': '12',
         'scroll': True},
        {'name': 'bottomtext', 'x': '72', 'y': '14', 'w': '27', 'h': '15',
         'scroll': True},
        {'name': 'info', 'x': '72', 'y': '30', 'w': '27', 'h': '8',
         'wrap': False}
    )
    for data in sections:
        TemplateSection(**data, template=t).save()


class Migration(migrations.Migration):
    dependencies = [
        ('formative', '0010_alter_user_options_user_site_user_uniq_site_email_and_more'),
        ('reviewpanel', '0008_input_show_in_index_alter_metric_input'),
    ]

    operations = [
        migrations.AlterField(
            model_name='template',
            name='program',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='templates', related_query_name='template', to='formative.program'),
        ),
        migrations.RunPython(create_initial_data, delete_initial_data)
    ]
